package stack;

public class StackExample {

	public static void main(String[] Args) {
		
		MyStack<Character> stack = new ArrayListStack<Character>();
		
		Character a = 'a';
		Character b = 'b';
		Character c = 'c';
		Character d = 'd';
		
		stack.push(a);
		stack.push(b);
		stack.push(c);
		stack.push(d);
		
		// Svuotiamo lo stack
		for (int i = stack.size(); i > 0; i--) {
			Character current = stack.pop();
			System.out.println(current);
		}
	}
	
}
